# Generated from babel-fish-0.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name babel-fish

Name: rubygem-%{gem_name}
Version: 0.0.0
Release: 1%{?dist}
Summary: The Babel fish is small, yellow, leech-like, and connects localisation endpoints with constant strings
License: MIT
URL: http://rubygems.org/gems/hola
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
The Babel fish is small, yellow, leech-like, and probably the oddest thing in
the Universe. It feeds on brainwave energy received not from its own carrier,
but from those around it. It absorbs all unconscious mental frequencies from
this brainwave energy to nourish itself with. It then excretes into the mind
of its carrier a telepathic matrix formed by combining the conscious thought
frequencies with nerve signals picked up from the speech centres of the brain
which has supplied them. The practical upshot of all this is that if you stick
a Babel fish in your ear you can instantly understand anything said to you in
any form of language. The speech patterns you actually hear decode the
brainwave matrix which has been fed into your mind by your Babel fish.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Mon Apr 18 2022 mockbuilder - 0.0.0-1
- Initial package
